#!/bin/sh

# Init script

# $Id: init 2008-11-18 10:00:00 $


# define restricted path
PATH="/bin:/usr/bin:/sbin:/usr/sbin"

# adirname - return absolute dirname of given file
adirname() { odir=`pwd`; cd `dirname $1`; pwd; cd "${odir}"; }


# ---------
# constants
# ---------
MYNAM=`basename "$0"`
MYDIR=`adirname "$0"`
P=nginx

# ---------
# functions
# ---------

message() { echo "$@"; }        # message - output message on stdout
error() { echo "$@" >&2; }      # error - output message on stderr
die() { error "$@"; exit 1; }   # die - output message on stderr and exit

install()
{
	echo -e "${P} install"
	ln -s /usr/local/nginx/conf/nginx_cronolog /etc/init.d/${P}
	chkconfig --add ${P}
	chkconfig ${P} on
	echo -e "Start ${P} service (Y/n) ? \c"
	read S
	case "x${S}" in
		"xY"|"xy"|"x")
			service ${P} start
			;;
		*)
			;;
	esac
}

uninstall()
{
	echo -e "${P} uninstall"
	echo -e "Stop ${P} service (Y/n) ? \c"
	read S
	case "x${S}" in
		"xY"|"xy"|"x")
			service ${P} stop
			;;
		*)
			;;
	esac
	chkconfig ${P} off
	chkconfig --del ${P}
	unlink /etc/init.d/${P}
}


# ----
# main
# ----


# check uid (should be root)
[ `id -u` -eq "0" ] ||
        die "${MYNAM}: this should be run as root only!"


case $1 in
	install|uninstall)
		$1
		;;
	reinstall)
		uninstall
		install
		;;
	*)
		echo $"Usage: $0 {install|uninstall|reinstall}"
		;;
esac

